ClosureBackedAction (Gradle API 8.11.1)

Package org.gradle.util

## Class ClosureBackedAction<T>

- java.lang.Object
- - org.gradle.util.ClosureBackedAction<T>

- Type Parameters:
    `T` - The action type.
  All Implemented Interfaces:
    `Action<T>`

      @Deprecated
      public class ClosureBackedAction<T>
      extends java.lang.Object
      implements Action<T>

  Deprecated.
  Will be removed in Gradle 9.0.
  This class is only here to maintain binary compatibility with existing plugins.

  To apply a configuration (represented by a Groovy closure) on an object, use `Project.configure(Object, Closure)`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClosureBackedAction​(Closure closure)` | Deprecated.
    `ClosureBackedAction​(Closure closure, int resolveStrategy)` | Deprecated.
    `ClosureBackedAction​(Closure closure, int resolveStrategy, boolean configurableAware)` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` | Deprecated.
    `void` | `execute​(T delegate)` | Deprecated. Performs this action against the given object.
    `static <T> void` | `execute​(T delegate, Closure<?> closure)` | Deprecated.
    `Closure` | `getClosure()` | Deprecated.
    `int` | `hashCode()` | Deprecated.
    `static <T> ClosureBackedAction<T>` | `of​(Closure<?> closure)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClosureBackedAction

          public ClosureBackedAction​(Closure closure)

      Deprecated.

    - #### ClosureBackedAction

          public ClosureBackedAction​(Closure closure,
                                     int resolveStrategy)

      Deprecated.

    - #### ClosureBackedAction

          public ClosureBackedAction​(Closure closure,
                                     int resolveStrategy,
                                     boolean configurableAware)

      Deprecated.

  - ### Method Detail

    - #### of

          public static <T> ClosureBackedAction<T> of​(Closure<?> closure)

      Deprecated.

    - #### execute

          public static <T> void execute​(T delegate,
                                         Closure<?> closure)

      Deprecated.

    - #### execute

          public void execute​(T delegate)

      Deprecated.
      Description copied from interface: `Action`
      Performs this action against the given object.
      Specified by:
        `execute` in interface `Action<T>`
      Parameters:
        `delegate` - The object to perform the action on.

    - #### getClosure

          public Closure getClosure()

      Deprecated.

    - #### equals

          public boolean equals​(java.lang.Object o)

      Deprecated.
      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `java.lang.Object`